Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 7736)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 7737)
@@ -987,5 +987,4 @@
         from anuga.config import time_format
         from math import sin, pi
-        from domain import Domain
 
         finaltime = 1200
@@ -1085,5 +1084,4 @@
         from anuga.config import time_format
         from math import sin, pi
-        from domain import Domain
 
         finaltime = 1200
@@ -1170,5 +1168,4 @@
         from anuga.config import time_format
         from math import sin, pi
-        from domain import Domain
 
         finaltime = 1200
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 7736)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 7737)
@@ -15,4 +15,5 @@
 
 from anuga.utilities.numerical_tools import ensure_numeric, angle, NAN
+from anuga.utilities.file_utils import load_csv_as_dict
 
 from math import sqrt, atan, degrees
@@ -731,5 +732,5 @@
 
             dir_filename = join(directory,filename)
-            attribute_dic, title_index_dic = csv2dict(dir_filename + '.csv')
+            attribute_dic, title_index_dic = load_csv_as_dict(dir_filename + '.csv')
             directory_start_time = directories_dic[directory][1]
             directory_add_tide = directories_dic[directory][2]
@@ -844,5 +845,5 @@
             
             # create an if about the start time and tide height if don't exist
-            attribute_dic, title_index_dic = csv2dict(directory + sep
+            attribute_dic, title_index_dic = load_csv_as_dict(directory + sep
                                                       + filename + '.csv')
             #get data from dict in to list
@@ -956,5 +957,5 @@
 
     from anuga.shallow_water.data_manager import \
-        get_maximum_inundation_data, csv2dict
+        get_maximum_inundation_data
                                                  
     file = open(runup_filename, "w")
@@ -963,5 +964,5 @@
     
     #read gauge csv file to dictionary
-    attribute_dic, title_index_dic = csv2dict(gauge_filename)
+    attribute_dic, title_index_dic = load_csv_as_dict(gauge_filename)
     northing = [float(x) for x in attribute_dic["y"]]
     easting = [float(x) for x in attribute_dic["x"]]
Index: /anuga_core/source/anuga/advection/__init__.py
===================================================================
--- /anuga_core/source/anuga/advection/__init__.py	(revision 7736)
+++ /anuga_core/source/anuga/advection/__init__.py	(revision 7737)
@@ -6,7 +6,4 @@
 sys.path += __path__
 
-# Make selected classes available directly
-from advection import Domain,\
-    Transmissive_boundary, Dirichlet_boundary
 
 
Index: /anuga_core/source/anuga/advection/advection.py
===================================================================
--- /anuga_core/source/anuga/advection/advection.py	(revision 7736)
+++ /anuga_core/source/anuga/advection/advection.py	(revision 7737)
@@ -31,5 +31,6 @@
 
 
-from anuga.abstract_2d_finite_volumes.domain import *
+from anuga.abstract_2d_finite_volumes.generic_domain \
+                import Generic_Domain
 import anuga.utilities.log as log
 
@@ -37,7 +38,5 @@
 
 
-Generic_domain = Domain # Rename
-
-class Domain(Generic_domain):
+class Advection_Domain(Generic_Domain):
 
     def __init__(self,
@@ -57,5 +56,5 @@
         conserved_quantities = ['stage']
         other_quantities = []
-        Generic_domain.__init__(self,
+        Generic_Domain.__init__(self,
                                 source=coordinates,
                                 triangles=vertices,
@@ -83,5 +82,5 @@
 
     def check_integrity(self):
-        Generic_domain.check_integrity(self)
+        Generic_Domain.check_integrity(self)
 
         msg = 'Conserved quantity must be "stage"'
Index: /anuga_core/source/anuga/advection/test_advection.py
===================================================================
--- /anuga_core/source/anuga/advection/test_advection.py	(revision 7736)
+++ /anuga_core/source/anuga/advection/test_advection.py	(revision 7737)
@@ -6,5 +6,9 @@
 
 from anuga.config import g, epsilon
-from anuga.advection.advection import Domain, Transmissive_boundary, Dirichlet_boundary
+from anuga.abstract_2d_finite_volumes.generic_domain import Generic_Domain
+from anuga.abstract_2d_finite_volumes.generic_boundary_conditions import \
+                Transmissive_boundary, Dirichlet_boundary
+
+from anuga.advection.advection import Advection_Domain
 
 import numpy as num
@@ -30,5 +34,5 @@
         vertices = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4]]
 
-        domain = Domain(points, vertices)
+        domain = Advection_Domain(points, vertices)
         domain.check_integrity()
 
@@ -45,19 +49,19 @@
         points = [a, b, c]
         vertices = [ [0,1,2] ]
-        domain = Domain(points, vertices)
+        domain = Advection_Domain(points, vertices)
         domain.check_integrity()
 
 
         #Populate boundary array with dirichlet conditions.
- 	domain.neighbours = num.array([[-1,-2,-3]])
+        domain.neighbours = num.array([[-1,-2,-3]])
         domain.quantities['stage'].boundary_values[:] = 1.0
 
-	domain.order = 1
+        domain.order = 1
 
-	domain.distribute_to_vertices_and_edges() #Use first order default
+        domain.distribute_to_vertices_and_edges() #Use first order default
 
         domain.check_integrity()
 
-	domain.compute_fluxes()
+        domain.compute_fluxes()
         U = -domain.quantities['stage'].explicit_update
         R = -0.5/domain.areas[0]
@@ -74,14 +78,14 @@
         points = [a, b, c]
         vertices = [ [0,1,2] ]
-        domain = Domain(points, vertices)
+        domain = Advection_Domain(points, vertices)
         domain.check_integrity()
 
         domain.set_quantity('stage', [1.0], location='centroids')
 
-	domain.distribute_to_vertices_and_edges()
+        domain.distribute_to_vertices_and_edges()
         domain.check_integrity()
 
 
-	domain.compute_fluxes()
+        domain.compute_fluxes()
         U = -domain.quantities['stage'].explicit_update
         R = 0.5/domain.areas[0]
@@ -99,5 +103,5 @@
         points = [a, b, c]
         vertices = [ [0,1,2] ]
-        domain = Domain(points, vertices)
+        domain = Advection_Domain(points, vertices)
         domain.check_integrity()
 
@@ -130,5 +134,5 @@
         points = [a, b, c, d]
         vertices = [ [0,1,2], [3,2,1] ]
-        domain = Domain(points, vertices)
+        domain = Advection_Domain(points, vertices)
         domain.check_integrity()
 
@@ -153,5 +157,6 @@
 
         #Create advection domain with direction (1,-1)
-        domain = Domain(points, vertices, boundary, velocity=[1.0, -1.0])
+        domain = Advection_Domain(points, vertices, boundary,
+                                        velocity=[1.0, -1.0])
 
         # Initial condition is zero by default
Index: /anuga_core/source/anuga/fit_interpolate/test_interpolate.py
===================================================================
--- /anuga_core/source/anuga/fit_interpolate/test_interpolate.py	(revision 7736)
+++ /anuga_core/source/anuga/fit_interpolate/test_interpolate.py	(revision 7737)
@@ -25,4 +25,6 @@
 from anuga.utilities.numerical_tools import mean, NAN
 from anuga.shallow_water.sww_file import SWW_file
+from anuga.shallow_water.shallow_water_domain import Domain
+from abstract_2d_finite_volumes.quantity import Quantity
 from anuga.geospatial_data.geospatial_data import Geospatial_data
 from anuga.pmesh.mesh import Mesh
@@ -140,6 +142,4 @@
         
         from mesh_factory import rectangular
-        from shallow_water import Domain
-        from abstract_2d_finite_volumes.quantity import Quantity
 
         # Create basic mesh
@@ -193,6 +193,4 @@
         
         from mesh_factory import rectangular
-        from shallow_water import Domain
-        from abstract_2d_finite_volumes.quantity import Quantity
 
         # Create basic mesh
@@ -245,6 +243,4 @@
         
         from mesh_factory import rectangular
-        from shallow_water import Domain
-        from abstract_2d_finite_volumes.quantity import Quantity
 
         # Create basic mesh
Index: /anuga_core/source/anuga/shallow_water/test_file_conversion.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/test_file_conversion.py	(revision 7736)
+++ /anuga_core/source/anuga/shallow_water/test_file_conversion.py	(revision 7737)
@@ -19,5 +19,9 @@
 
 class Test_File_Conversion(unittest.TestCase):
-    # Class variable
+    """ A suite of tests to test file conversion functions.
+        These tests are quite coarse-grained: converting a file
+        and checking that its headers and some of its contents
+        are correct.
+    """
     verbose = False
 
